# WOK
TKCPPJini
CPPJini

# CPPJini_ClientInfo Class Reference

stores information about client and its types

`#include <CPPJini_ClientInfo.hxx>`

## Public Member Functions

Standard_EXPORT | CPPJini_ClientInfo (const Handle(MS_MetaSchema)&aMS, const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aLevel)
| constructor
Standard_EXPORT Standard_Boolean | HasComplete (const Handle(TCollection_HAsciiString)&aName) const
| checks if client has complete type
Standard_EXPORT Standard_Boolean | HasIncomplete (const Handle(TCollection_HAsciiString)&aName) const
| checks if client has incomplete type
Standard_EXPORT Standard_Boolean | HasSemicomplete (const Handle(TCollection_HAsciiString)&aName) const
| checks if client has semicomplete type
Standard_EXPORT Standard_Boolean | Defined (const Handle(TCollection_HAsciiString)&aName, CPPJini_ExtractionType &aType) const
| checks if client has type defined or not
Standard_EXPORT const Handle_TCollection_HAsciiString & | Name () const
| returns <myname> field
Standard_Integer | Level () const
| returns level of the client in the 'uses' hierarchy
Standard_Boolean | Root () const
| returns a flag indicating whether client is a root in the 'uses' hierarchy
void | SetRoot (const Standard_Boolean aRoot)
| sets client state indicating that the client is a root in the 'uses' hierarchy
void | SetLevel (const Standard_Integer aLevel)
| sets a level of the client in the 'uses' hierarchy
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myName
WOKTools_MapOfHAsciiString | myComplete
WOKTools_MapOfHAsciiString | myIncomplete
WOKTools_MapOfHAsciiString | mySemicomplete
Standard_Integer | myLevel
Standard_Boolean | myRoot

## Constructor & Destructor Documentation

Standard_EXPORT CPPJini_ClientInfo::CPPJini_ClientInfo | ( | const Handle(MS_MetaSchema)& | aMS,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aLevel
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean CPPJini_ClientInfo::Defined | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | CPPJini_ExtractionType & | aType
| ) | const

Standard_EXPORT const CPPJini_ClientInfo::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean CPPJini_ClientInfo::HasComplete | ( | const Handle(TCollection_HAsciiString)& | aName | ) | const

Standard_EXPORT Standard_Boolean CPPJini_ClientInfo::HasIncomplete | ( | const Handle(TCollection_HAsciiString)& | aName | ) | const

Standard_EXPORT Standard_Boolean CPPJini_ClientInfo::HasSemicomplete | ( | const Handle(TCollection_HAsciiString)& | aName | ) | const

Standard_Integer CPPJini_ClientInfo::Level | ( |  | ) | const`[inline]`

Standard_EXPORT const Handle_TCollection_HAsciiString& CPPJini_ClientInfo::Name | ( |  | ) | const

Standard_Boolean CPPJini_ClientInfo::Root | ( |  | ) | const`[inline]`

void CPPJini_ClientInfo::SetLevel | ( | const Standard_Integer | aLevel | ) | `[inline]`

void CPPJini_ClientInfo::SetRoot | ( | const Standard_Boolean | aRoot | ) | `[inline]`

## Field Documentation

WOKTools_MapOfHAsciiString CPPJini_ClientInfo::myComplete `[private]`

WOKTools_MapOfHAsciiString CPPJini_ClientInfo::myIncomplete `[private]`

Standard_Integer CPPJini_ClientInfo::myLevel `[private]`

Handle_TCollection_HAsciiString CPPJini_ClientInfo::myName `[private]`

Standard_Boolean CPPJini_ClientInfo::myRoot `[private]`

WOKTools_MapOfHAsciiString CPPJini_ClientInfo::mySemicomplete `[private]`

The documentation for this class was generated from the following files:

- CPPJini_ClientInfo.hxx
- CPPJini_ClientInfo.lxx